org.richfaces.fragment.notify

## Class RichFacesNotify

- java.lang.Object
- - org.richfaces.fragment.list.AbstractListComponent<RichFacesNotify.NotifyMessageItemImpl>
  - - org.richfaces.fragment.notify.RichFacesNotify

- All Implemented Interfaces:
    AdvancedInteractions<Messages.AdvancedMessagesInteractions>, ListComponent<RichFacesNotify.NotifyMessageItemImpl>, Messages<RichFacesNotify.NotifyMessageItemImpl>, Notify<RichFacesNotify.NotifyMessageItemImpl>

      public class RichFacesNotify
      extends AbstractListComponent<RichFacesNotify.NotifyMessageItemImpl>
      implements Notify<RichFacesNotify.NotifyMessageItemImpl>

  This fragment ignores its findBy. Global component.
  Author:
    Jiri Stefek

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `RichFacesNotify.AdvancedNotifyInteractionsImpl`
    `static class` | `RichFacesNotify.NotifyMessageItemImpl`

    - ### Nested classes/interfaces inherited from interface org.richfaces.fragment.messages.Messages

      `Messages.AdvancedMessagesInteractions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesNotify()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RichFacesNotify.AdvancedNotifyInteractionsImpl` | `advanced()`
    `List<? extends NotifyMessage>` | `getItems(Message.MessageType type)` Gets multiple messages which have given `type`.``
    `protected List<org.openqa.selenium.WebElement>` | `getItemsElements()`
    `protected String` | `getStyleClass()`
    `protected void` | `setStyleClass(String styleClass)`

    - ### Methods inherited from class org.richfaces.fragment.list.AbstractListComponent

      `getItem, getItem, getItem, getItems, getItems, getItemsFragments, getListItemClass, getRootElement, instantiateFragments, instantiateItemFragment, isEmpty, isVisible, size`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.fragment.list.ListComponent

      `getItem, getItem, getItem, getItems, getItems, getRootElement, isEmpty, size`

- - ### Constructor Detail

    - #### RichFacesNotify

          public RichFacesNotify()

  - ### Method Detail

    - #### advanced

          public RichFacesNotify.AdvancedNotifyInteractionsImpl advanced()

      Specified by:
        `advanced` in interface `AdvancedInteractions<Messages.AdvancedMessagesInteractions>`

    - #### getItems

          public List<? extends NotifyMessage> getItems(Message.MessageType type)

      Description copied from interface: `Messages`
      Gets multiple messages which have given `type`.``
      Specified by:
        `getItems` in interface `Messages<RichFacesNotify.NotifyMessageItemImpl>`
      Parameters:
        `type` - the message type (its severity) to determine which messages to return
      Returns:
        all messages with given type

    - #### getItemsElements

          protected List<org.openqa.selenium.WebElement> getItemsElements()

      Overrides:
        `getItemsElements` in class `AbstractListComponent<RichFacesNotify.NotifyMessageItemImpl>`

    - #### getStyleClass

          protected String getStyleClass()

    - #### setStyleClass

          protected void setStyleClass(String styleClass)

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.